Class | WSDL::Service
In: | wsdl/service.rb
Parent: | Info

### Methods

new parse_attr parse_element targetnamespace

### Attributes

name | [R] |
ports | [R] |
soap_address | [R] |

### Public Class methods

new()

[Source]

    # File wsdl/service.rb, line 21
      def initialize
        super
        @name = nil
        @ports = XSD::NamedElements.new
        @soap_address = nil
      end

### Public Instance methods

parse_attr(attr, value)

[Source]

    # File wsdl/service.rb, line 50
      def parse_attr(attr, value)
        case attr
        when NameAttrName
          @name = XSD::QName.new(targetnamespace, value.source)
        else
          nil
        end
      end

parse_element(element)

[Source]

    # File wsdl/service.rb, line 32
      def parse_element(element)
        case element
        when PortName
          o = Port.new
          @ports << o
          o
        when SOAPAddressName
          o = WSDL::SOAP::Address.new
          @soap_address = o
          o
        when DocumentationName
          o = Documentation.new
          o
        else
          nil
        end
      end

targetnamespace()

[Source]

    # File wsdl/service.rb, line 28
      def targetnamespace
        parent.targetnamespace
      end

[Validate]